/** When your routing table is too long, you can split it into small modules**/

import Layout from '@/layout'

const tripartiteManagement = {
    path: '/tripartiteManagement',
    component: Layout,
    redirect: 'noRedirect',
    name: 'tripartiteManagement',
    meta: {
        title: '三方上报',
        icon: 'yuanqushangbao',
        checkIcon: 'checkyuanqushangbao',
        module: 'changyuntong.yuanqushangbao',
    },
    alwaysShow: true,
    children: [{
            path: 'waybillReporting',
            name: 'waybillReporting',
            component: () =>
                import ('@/views/tripartiteManagement/waybillReporting'),
            meta: {
                title: '运单上报',
                icon: '',
                module: 'changyuntong.yuanqushangbao.yundan.view',
            }
        },
        // {
        //     path: 'dailyReport',
        //     name: 'dailyReport',
        //     component: () =>
        //         import ('@/views/tripartiteManagement/dailyReport'),
        //     meta: {
        //         title: '流水单上报',
        //         icon: '',
        //         module: 'changyuntong.yuanqushangbao.liushui.view',
        //     }
        // },
        {
            path: 'driverInformationReporting',
            name: 'driverInformationReporting',
            component: () =>
                import ('@/views/tripartiteManagement/driverInformationReporting'),
            meta: {
                title: '司机信息上报',
                icon: '',
                module: 'changyuntong.yuanqushangbao.sishang.view',
            }
        },
        {
            path: 'vehicleInformationReporting',
            name: 'vehicleInformationReporting',
            component: () =>
                import ('@/views/tripartiteManagement/vehicleInformationReporting'),
            meta: {
                title: '车辆信息上报',
                icon: '',
                module: 'changyuntong.yuanqushangbao.cheshang.view',
            }
        },
    ]
}

export default tripartiteManagement